Sutthirak

Apr 28, 2015

It's shame to say that this website was build with very old school java style ... Previously , every libraries in this website have to be a jar file and put it together in the single directory. After that I have to do some of setting in Eclipse for using it.

Actually , it's a heritage from the early version of Google AppEngine on Java. At that time , it does not support Maven yet. I have another project that already build with maven but I don't have time to go back and fix it in this web (a little bit busy guy). But for now , it's very difficult (and pain) for me to introduce a new library or upgrade a version in this project. So I have to fix it 😄 . Google AppEngine in maven plugin is handy for a java developer like me.

But one more thing, A new version of java is coming (words of my house). Currently , Google AppEngine only supports Java 7. It would be a great success , if we can use a new version of Java in the future (I wish). 😄